--- a/mercurial/demandimport.py Mon Aug 13 11:58:47 2007 -0700
+++ b/mercurial/demandimport.py Tue Aug 14 16:30:38 2007 +0200
@@ -108,7 +108,18 @@
setattr(mod, x, _demandmod(x, mod.__dict__, locals))
return mod
-ignore = ['_hashlib', '_xmlplus', 'fcntl', 'win32com.gen_py', 'pwd', 'grp']
+ignore = [
+ '_hashlib',
+ '_xmlplus',
+ 'fcntl',
+ 'win32com.gen_py',
+ # imported by tarfile, not available under Windows
+ 'pwd',
+ 'grp',
+ # imported by profile, itself imported by hotshot.stats,
+ # not available under Windows
+ 'resource',
+ ]
def enable():
"enable global demand-loading of modules"
--- a/tests/hghave Mon Aug 13 11:58:47 2007 -0700
+++ b/tests/hghave Tue Aug 14 16:30:38 2007 +0200
@@ -35,11 +35,19 @@
except:
return False
+def has_lsprof():
+ try:
+ import _lsprof
+ return True
+ except ImportError:
+ return False
+
checks = {
- "symlink": (has_symlink, "symbolic links"),
+ "eol-in-paths": (has_eol_in_paths, "end-of-lines in paths"),
+ "execbit": (has_executablebit, "executable bit"),
"fifo": (has_fifo, "named pipes"),
- "execbit": (has_executablebit, "executable bit"),
- "eol-in-paths": (has_eol_in_paths, "end-of-lines in paths"),
+ "lsprof": (has_lsprof, "python lsprof module"),
+ "symlink": (has_symlink, "symbolic links"),
}
def list_features():
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-profile Tue Aug 14 16:30:38 2007 +0200
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+echo % test --time
+hg --time help 2>&1 | grep -q Time || echo --time failed
+
+echo % test --profile
+hg --profile help 2>&1 | grep -q ncalls || echo --profile failed
+
+echo % test --lsprof
+if "$TESTDIR/hghave" -q lsprof; then
+ hg --lsprof help 2>&1 | grep -q CallCount || echo --lsprof failed
+fi
\ No newline at end of file
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-profile.out Tue Aug 14 16:30:38 2007 +0200
@@ -0,0 +1,3 @@
+% test --time
+% test --profile
+% test --lsprof